import {FastifyPluginAsync} from 'fastify'
import ringtoneModule from '../../../../modules/ringtone'
import {RingtoneController} from '../../../../modules/ringtone/controller'

const ringtones: FastifyPluginAsync = async (fastify): Promise<void> => {
	const ringtoneController = ringtoneModule.resolve<RingtoneController>('RingtoneController')
	fastify.get('/', ringtoneController.search)
}

export default ringtones
