import {GetServerSideProps, NextPage} from 'next'
import {useRef} from 'react'
import {models} from '@tonality/library-common'
import RingtoneClient from '../../modules/ringtone/client'

type Props = {
	user: models.Composer,
	composerRingtones: models.Ringtone[],
}

const MyCreateRingtonePage: NextPage<Props> = ({
	user,
	composerRingtones,
}) => {
	const ringtoneClient = useRef(new RingtoneClient())
	return (
		<div>
			Hello
		</div>
	)
}

export const getServerSideProps: GetServerSideProps = async () => {
	const user = {
		id: '00000000-0000-0000-000000000000',
		name: 'TheoryOfNekomata',
		bio: '',
	}

	const composerRingtones = []

	return {
		props: {
			user,
			composerRingtones,
		},
	}
}

export default MyCreateRingtonePage
