import { models } from '@tonality/library-common'

export default interface ComposerService {
	get(id: string): Promise<models.Composer>
	browse(skip?: number, take?: number): Promise<models.Composer[]>
	search(q?: string): Promise<models.Composer[]>
	create(data: Partial<models.Composer>): Promise<models.Composer>
	update(data: Partial<models.Composer>): Promise<models.Composer>
	delete(id: string): Promise<void>
}
